Summary: RPM SuperVisor
Name: rpmsv
Version: 1.12
Release: 1
Copyright: Klaus Franken / Siemens Business Services, Fuerth, Germany
Group: RZ
Source: rpmsv-1.12.tgz
Source1: help2man-1.021.tar.gz
Packager: Klaus Franken <rpmsv@klaus.franken.de>
Requires: perl
Buildroot: /tmp/rpmsv
%description
RPM SuperVisor
Manage RPM-Packages for install, update and remove by groups


%prep 
%setup -a 1
%build
cd doc && make all
cd ..
cd help2man-1.021 && ./configure && make
cd ..
help2man-1.021/help2man -N -i rpmsv.man.in ./rpmsv > rpmsv.1
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
install -o root -g root -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -o root -g root -m 755 rpmsv $RPM_BUILD_ROOT/usr/bin
install -o root -g root -m 755 -d $RPM_BUILD_ROOT/usr/lib/rpmsv
install -o root -g root -m 755 -d $RPM_BUILD_ROOT/usr/lib/rpmsv/scripts
install -o root -g root -m 755 scripts/mklist $RPM_BUILD_ROOT/usr/lib/rpmsv/scripts
install -o root -g root -m 755 -d $RPM_BUILD_ROOT/etc/rpmsv
install -o root -g root -m 755 -d $RPM_BUILD_ROOT/etc/rpmsv/groups
install -o root -g root -m 644 rc.global $RPM_BUILD_ROOT/usr/lib/rpmsv/rc.global.example
install -o root -g root -m 644 rc.local $RPM_BUILD_ROOT/etc/rpmsv
install -o root -g root -m 755 -d $RPM_BUILD_ROOT/usr/man/man1
install -o root -g root -m 644 rpmsv.1 $RPM_BUILD_ROOT/usr/man/man1/

%files
%doc BUGS TODO README README-DE CHANGES
%doc doc
%doc example_groups
%config /etc/rpmsv/rc.local
/etc/rpmsv/groups
/usr/lib/rpmsv/scripts/mklist
/usr/bin/rpmsv
/usr/lib/rpmsv/rc.global.example
%doc /usr/man/man1/rpmsv.1.gz

%changelog
* Thu Oct 12 2000 kfr <Klaus.Franken@fth2.siemens.de>
- new rpmsv.sgml (version 0.03)

* Fri Aug 08 2000 kfr <Klaus.Franken@fth2.siemens.de>
- update to version 1.9
- new: --remote

* Fri Feb 04 2000 kfr <Klaus.Franken@fth2.siemens.de>
- update to version 1.5
- update to version 1.6
